@echo off
setlocal enableextensions enabledelayedexpansion

: Titley Scientific Roost Logger Firmware Upgrader V2 using TitleyUpgraderV2.exe


IF EXIST RoostLoggerMain*.hax (
    echo Welcome to the Titley Scientific Roost Logger Firmware Upgrader V2
    echo Please plug in the USB cable and place the device into Firmware Update Mode now by holding the SD Remove button and pressing Reset, then releasing the held button.
    pause
	
	echo Erasing Flash...
	.\Tools\TitleyUpgraderV2.exe RoostLogger ^
	  erase
	echo Copying:
	copy RoostLoggerMain*.hax RoostLoggerMain.hax
	echo Programming MCU memory with new Firmware
	.\Tools\TitleyUpgraderV2.exe RoostLogger ^
	  flash RoostLoggerMain.hax
	echo Starting Main Program
	.\Tools\TitleyUpgraderV2.exe RoostLogger ^
	  start
	echo Done! Program will now exit
	pause

) ELSE (
echo RoostLoggerMain.hax not present in current directory
pause

)